LibreOffice: XXPathAPI Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XXPathAPI Interface Reference

`import"XXPathAPI.idl";`

Inheritance diagram for XXPathAPI:

## Public Member Functions
void | registerNS ([in] string prefix, [in] string url)
void | unregisterNS ([in] string prefix, [in] string url)
void | registerExtension ([in] string serviceName)
void | registerExtensionInstance ([in] com::sun::star::xml::xpath::XXPathExtension aExtension)
XXPathObject | eval ([in] com::sun::star::xml::dom::XNode contextNode, [in] string expr) raises ( com::sun::star::xml::xpath::XPathException )
| Evaluate XPath Expression. More...
XXPathObject | evalNS ([in] com::sun::star::xml::dom::XNode contextNode, [in] string expr, [in] com::sun::star::xml::dom::XNode namespaceNode) raises ( com::sun::star::xml::xpath::XPathException )
| Evaluate XPath Expression. More...
com::sun::star::xml::dom::XNodeList | selectNodeList ([in] com::sun::star::xml::dom::XNode contextNode, [in] string expr) raises ( com::sun::star::xml::xpath::XPathException )
| Evaluate an XPath expression to select a list of nodes. More...
com::sun::star::xml::dom::XNodeList | selectNodeListNS ([in] com::sun::star::xml::dom::XNode contextNode, [in] string expr, [in] com::sun::star::xml::dom::XNode namespaceNode) raises ( com::sun::star::xml::xpath::XPathException )
| Evaluate an XPath expression to select a list of nodes. More...
com::sun::star::xml::dom::XNode | selectSingleNode ([in] com::sun::star::xml::dom::XNode contextNode, [in] string expr) raises ( com::sun::star::xml::xpath::XPathException )
| Evaluate an XPath expression to select a single node. More...
com::sun::star::xml::dom::XNode | selectSingleNodeNS ([in] com::sun::star::xml::dom::XNode contextNode, [in] string expr, [in] com::sun::star::xml::dom::XNode namespaceNode) raises ( com::sun::star::xml::xpath::XPathException )
| Evaluate an XPath expression to select a single node. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ eval()

XXPathObject eval | ( | [in] com::sun::star::xml::dom::XNode | contextNode,
|  | [in] string | expr
| ) |  |
raises | ( | com::sun::star::xml::xpath::XPathException
| ) |  |

Evaluate XPath Expression.

Parameters

  contextNode | the context node (expression is relative to this node)
  expr | the XPath expression

Exceptions

  XPathException | if the expression is malformed, or evaluation fails

Returns
  an object representing the result of the XPath evaluation

See also
  XXPathObject

## ◆ evalNS()

XXPathObject evalNS | ( | [in] com::sun::star::xml::dom::XNode | contextNode,
|  | [in] string | expr,
|  | [in] com::sun::star::xml::dom::XNode | namespaceNode
| ) |  |
raises | ( | com::sun::star::xml::xpath::XPathException
| ) |  |

Evaluate XPath Expression.

Parameters

  contextNode | the context node (expression is relative to this node)
  expr | the XPath expression
  namespaceNode | all namespaces declared on this node will be registered

Exceptions

  XPathException | if the expression is malformed, or evaluation fails

Returns
  an object representing the result of the XPath evaluation

See also
  XXPathObject

## ◆ registerExtension()

void registerExtension | ( | [in] string | serviceName | ) |

## ◆ registerExtensionInstance()

void registerExtensionInstance | ( | [in] com::sun::star::xml::xpath::XXPathExtension | aExtension | ) |

## ◆ registerNS()

void registerNS | ( | [in] string | prefix,
|  | [in] string | url
| ) |  |

## ◆ selectNodeList()

com::sun::star::xml::dom::XNodeList selectNodeList | ( | [in] com::sun::star::xml::dom::XNode | contextNode,
|  | [in] string | expr
| ) |  |
raises | ( | com::sun::star::xml::xpath::XPathException
| ) |  |

Evaluate an XPath expression to select a list of nodes.

Parameters

  contextNode | the context node (expression is relative to this node)
  expr | the XPath expression

Exceptions

  XPathException | if the expression is malformed, or evaluation fails

Returns
  result of the XPath evaluation: a list of nodes

See also
  XNodeList

## ◆ selectNodeListNS()

com::sun::star::xml::dom::XNodeList selectNodeListNS | ( | [in] com::sun::star::xml::dom::XNode | contextNode,
|  | [in] string | expr,
|  | [in] com::sun::star::xml::dom::XNode | namespaceNode
| ) |  |
raises | ( | com::sun::star::xml::xpath::XPathException
| ) |  |

Evaluate an XPath expression to select a list of nodes.

Parameters

  contextNode | the context node (expression is relative to this node)
  expr | the XPath expression
  namespaceNode | all namespaces declared on this node will be registered

Exceptions

  XPathException | if the expression is malformed, or evaluation fails

Returns
  result of the XPath evaluation: a list of nodes

See also
  XNodeList

## ◆ selectSingleNode()

com::sun::star::xml::dom::XNode selectSingleNode | ( | [in] com::sun::star::xml::dom::XNode | contextNode,
|  | [in] string | expr
| ) |  |
raises | ( | com::sun::star::xml::xpath::XPathException
| ) |  |

Evaluate an XPath expression to select a single node.

Parameters

  contextNode | the context node (expression is relative to this node)
  expr | the XPath expression

Exceptions

  XPathException | if the expression is malformed, or evaluation fails

Returns
  result of the XPath evaluation: a single node

## ◆ selectSingleNodeNS()

com::sun::star::xml::dom::XNode selectSingleNodeNS | ( | [in] com::sun::star::xml::dom::XNode | contextNode,
|  | [in] string | expr,
|  | [in] com::sun::star::xml::dom::XNode | namespaceNode
| ) |  |
raises | ( | com::sun::star::xml::xpath::XPathException
| ) |  |

Evaluate an XPath expression to select a single node.

Parameters

  contextNode | the context node (expression is relative to this node)
  expr | the XPath expression
  namespaceNode | all namespaces declared on this node will be registered

Exceptions

  XPathException | if the expression is malformed, or evaluation fails

Returns
  result of the XPath evaluation: a single node

## ◆ unregisterNS()

void unregisterNS | ( | [in] string | prefix,
|  | [in] string | url
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/xml/xpath/XXPathAPI.idl